<?
define('PROTECTOR', 1);

$headmod = 'zasada';//фикс. места

$textl='Засады';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
ryd();
place_city();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

if(empty($udata[clan])){
echo'Засады могут организовывать только воины, находящиеся в клане!';
include_once"files/down.php";
exit;
}

switch($_GET[mod]){

default:
$b = mysql_query("SELECT * FROM zasada WHERE usr = '$log'");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto==0){
echo"<a href=\"zasada.php?mod=new\">Организовать засаду</a>";
}else{
echo'<b>Вы в засаде</b><br/>';
echo"<a href=\"zasada.php?r=".rand(1000,9999)."\">Ждать</a><br/>";
echo"<a href=\"zasada.php?mod=cancel\">Отменить</a>";
}
break;

case 'new':
$b = mysql_query("SELECT * FROM zasada WHERE usr = '$log'");
////////////////////////////
if(empty($_POST[tip])){
$avto=mysql_num_rows($b);
if($avto==0){

echo '<form action="zasada.php?mod=new" method="post">';
echo "Тип засады:<br/>
1 - Засада воинов других кланов<br/>
2- Засада на всех кто без клана<br/>
<select name=\"tip\">
<option value=\"1\">1</option>
<option value=\"2\">2</option>
</select><br/>";

echo '<input class="button" type="submit" value="Организовать" /></form>';

}else{
echo"Вы уже устроли засаду.<br/>";
}
}else{
$req = mysql_query("SELECT * FROM `mesto` WHERE `usr` = '$log' LIMIT 1");
$mesto = mysql_fetch_array($req);
if($mesto[x] == 0 and $mesto[y] == 0){ echo'Организация засад у ворот невозможна'; include_once"files/down.php"; exit;}
if($udata[city] == fornost){ echo'Организация засад в Форносте невозможна'; include_once"files/down.php"; exit;}
mysql_query("INSERT INTO
        `zasada` SET
        `usr` = '$log',
        `city` = '$udata[city]',
        `location` = '$udata[location]',
        `tip` = '$_POST[tip]',
        `x` = '$mestouser[x]',
        `y` = '$mestouser[y]',
`klas` = '$udata[klas]'");


echo'Засада организована!<br/>';
}
echo"<a href=\"zasada.php?\">Продолжить</a>";
break;

case 'cancel':
$b = mysql_query("SELECT * FROM zasada WHERE usr = '$log'");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto==1){

mysql_query("DELETE FROM `zasada` WHERE `usr`='$log'");

echo"Вы отменили засаду!<br/>";
}else{
echo"У вас нет засады!<br/>";
}
echo"<a href=\"zasada.php?\">Назад</a>";
break;
}
include_once"files/down.php";
?>